body {
  margin: 0;
}

html {
  overflow-x: hidden;
  overflow-y: scroll;
}

#loading-bg {
  position: fixed; /* Gunakan fixed agar menutupi seluruh layar */
  display: flex;
  flex-direction: column; /* Menyusun logo di atas, loader di bawah */
  align-items: center;
  justify-content: center;
  background: var(--initial-loader-bg, #fff);
  width: 100vw;
  height: 100vh;
  z-index: 99999;
}

.loading-logo {
  margin-bottom: 40px; /* Jarak antara logo dan spinner agar tidak menempel */
}
.loading-logo img {
  max-width: 64px; /* Atur ukuran logo agar proporsional */
  height: auto;
}


.loading {
  position: relative;
  box-sizing: border-box;
  width: 60px;
  height: 60px;
}

.loading .effects {
  position: absolute;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  border: 3px solid transparent;
  border-radius: 50%;
  border-inline-start: 3px solid var(--initial-loader-color, #00838f);
}

.loading .effect-1 {
  animation: rotate 1s ease infinite;
}

.loading .effect-2 {
  animation: rotate-opacity 1s ease infinite 0.1s;
}

.loading .effect-3 {
  animation: rotate-opacity 1s ease infinite 0.2s;
}

@keyframes rotate {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@keyframes rotate-opacity {
  0% {
    opacity: 0.1;
    transform: rotate(0deg);
  }
  100% {
    opacity: 1;
    transform: rotate(360deg);
  }
}
